//
// ElCel Technology Test Harness 
//
// Class: NumUtils
//




#include "ot/base/System.h"
#include "ot/io/Console.h"
#include "ot/base/Exception.h"
#include "ot/base/StringUtils.h"
#include "ot/util/AttributeListParser.h"

using namespace ot;
using namespace ot::io;
using namespace ot::util;

String getTestAttribute(const String& name);
void testMessage(const String& msg);
void testFailed(const String& test);
void testPassed(const String& test);
void goodCatch(const String& test, const String& eMsg);
void uncaughtException(const String& e, const String& test);


#include "ot/base/Character.h"
#include "ot/base/NumUtils.h"

using namespace ot; 


void NumUtils_Tests()
{
	testMessage(OT_T("Starting tests for NumUtils"));

    //
	int i1 = -12345;
	unsigned int ui1 = 12345;
	long l1 = -1234567;
	unsigned int ul1 = 1234567;
	double f1 = 123456.789000;
	
	String s1 = OT_T("-12345");
	String s2 = OT_T("12345");
	String s3 = OT_T("-1234567");
	String s4 = OT_T("1234567");
	String s5 = OT_T("123456.789000");

	try
	{
		if(NumUtils::ToString(i1)==s1) {testPassed(OT_T("ToString1"));} else {testFailed(OT_T("ToString1"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToString1"));
	};
	try
	{
		if(NumUtils::ToString(ui1)==s2) {testPassed(OT_T("ToString2"));} else {testFailed(OT_T("ToString2"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToString2"));
	};
	try
	{
		if(NumUtils::ToString(l1)==s3) {testPassed(OT_T("ToString3"));} else {testFailed(OT_T("ToString3"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToString3"));
	};
	try
	{
		if(NumUtils::ToString(ul1)==s4) {testPassed(OT_T("ToString4"));} else {testFailed(OT_T("ToString4"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToString4"));
	};
	try
	{
		if(NumUtils::ToString(f1)==s5) {testPassed(OT_T("ToString5"));} else {testFailed(OT_T("ToString5"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToString5"));
	};
	try
	{
		if(NumUtils::ToInt(s1)==i1) {testPassed(OT_T("ToInt"));} else {testFailed(OT_T("ToInt"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToInt"));
	};
	try
	{
		if(NumUtils::ToLong(s3)==l1) {testPassed(OT_T("ToLong"));} else {testFailed(OT_T("ToLong"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToLong"));
	};
	try
	{
		if(NumUtils::ToDouble(s5)==f1) {testPassed(OT_T("ToDouble"));} else {testFailed(OT_T("ToDouble"));}
	}
	catch(Exception& e)
	{
		uncaughtException(e.toString(), OT_T("ToDouble"));
	};


	testMessage(OT_T("End of tests for NumUtils"));
}

