//
// ElCel Technology Test Harness 
//
// Class: NumUtils
//

include(../common.m4)
OT_TEST_INIT

#`include' "ot/base/Character.h"
#`include' "ot/base/NumUtils.h"

using namespace ot; 

OT_START_TESTS(`NumUtils')

    //
	int i1 = -12345;
	unsigned int ui1 = 12345;
	long l1 = -1234567;
	unsigned int ul1 = 1234567;
	double f1 = 123456.789000;
	
	String s1 = OT_T("-12345");
	String s2 = OT_T("12345");
	String s3 = OT_T("-1234567");
	String s4 = OT_T("1234567");
	String s5 = OT_T("123456.789000");

	OT_TEST_BOOL(ToString1, NumUtils::ToString(i1)==s1);
	OT_TEST_BOOL(ToString2, NumUtils::ToString(ui1)==s2);
	OT_TEST_BOOL(ToString3, NumUtils::ToString(l1)==s3);
	OT_TEST_BOOL(ToString4, NumUtils::ToString(ul1)==s4);
	OT_TEST_BOOL(ToString5, NumUtils::ToString(f1)==s5);
	OT_TEST_BOOL(ToInt, NumUtils::ToInt(s1)==i1);
	OT_TEST_BOOL(ToLong, NumUtils::ToLong(s3)==l1);
	OT_TEST_BOOL(ToDouble, NumUtils::ToDouble(s5)==f1);

OT_END_TESTS(`NumUtils')

