//
// ElCel Technology Test Harness 
//
// Class: StirngUTils
//

include(../common.m4)
OT_TEST_INIT

#`include' "ot/base/Character.h"
#`include' "ot/base/StringUtils.h"

using namespace ot; 

OT_START_TESTS(`StringUtils')

    //
	String s1 = OT_T("abcdef");
	String s2 = OT_T("ABCDEF");
	const char * pS1 = "abcdef";
	const char * pS2 = "ABCDEF";

	OT_TEST_BOOL(cmpncase1, StringUtils::CompareNoCase(s1, s2) == 0)
	OT_TEST_BOOL(cmpncase2, StringUtils::CompareNoCase(pS1, pS2) == 0)
	OT_TEST_BOOL(toUpper, s2 == StringUtils::ToUpper(s1))
	OT_TEST_BOOL(toLower, s1 == StringUtils::ToLower(s2))

	Character pound(163UL);
	ByteString strPound = StringUtils::ToLatin1(pound.toString());
	OT_TEST_BOOL(ToLatin1, strPound[0] == char(163U));

	const char pLatin1[] = "123.00 please!";
	String sLatin1 = pound.toString() + OT_T("123.00 please!");
	OT_TEST_BOOL(fromLatin1, sLatin1 == StringUtils::FromLatin1(pLatin1))
	OT_TEST_BOOL(fromLatin1-2, sLatin1 == StringUtils::FromLatin1(pLatin1, sizeof(pLatin1)-1))

#if !defined(OT_UCS2)
	Character hiChar(0x10f000UL);
#if defined(OT_UCS4)
	bool bMultiExpected = false;
#else
	bool bMultiExpected = true;
#endif
	OT_TEST_BOOL(ContainsMultiCharSequence, StringUtils::ContainsMultiCharSequence(hiChar.toString()) == bMultiExpected)
#endif

	String repl1 = OT_T(" ppplease  pppick  uppp  the  ppphone ");
	String repl2 = OT_T(" please  pick  up  the  phone ");
	String repl3 = OT_T("please  pick  up  the  phone");
	String repl4 = OT_T("please pick up the phone");

	String repl = repl1;
	OT_TEST_VOID(ReplaceAll, StringUtils::ReplaceAll(repl, OT_T("ppp"), OT_T("p")))
	OT_TEST_BOOL(ReplaceAll, repl == repl2)
	OT_TEST_BOOL(StripWhiteSpace, StringUtils::StripWhiteSpace(repl2, StringUtils::both) == repl3)
	OT_TEST_BOOL(StripWhiteSpace1, StringUtils::StripWhiteSpace(repl3, StringUtils::both) == repl3)
	OT_TEST_BOOL(StripWhiteSpace2, StringUtils::StripWhiteSpace(OT_T("   "), StringUtils::both).empty())
	OT_TEST_BOOL(StripWhiteSpace3, StringUtils::StripWhiteSpace(OT_T("i\r\n"), StringUtils::both) == String(OT_T("i")))
	OT_TEST_BOOL(StripWhiteSpace4, StringUtils::StripWhiteSpace(OT_T("  i\r\n"), StringUtils::both) == String(OT_T("i")))
	OT_TEST_BOOL(StripWhiteSpace5, StringUtils::StripWhiteSpace(OT_T(" i"), StringUtils::both) == String(OT_T("i")))
	OT_TEST_BOOL(StripWhiteSpace6, StringUtils::StripWhiteSpace(OT_T("i"), StringUtils::both) == String(OT_T("i")))
	OT_TEST_BOOL(NormalizeWS, StringUtils::NormalizeWhiteSpace(repl3) == repl4)
	OT_TEST_BOOL(IsHexString1, StringUtils::IsHexString("xyz") == false)
	OT_TEST_BOOL(IsHexString1, StringUtils::IsHexString("fab") == true)

OT_END_TESTS(`StringUtils')

