//
// ElCel Technology Test Harness
//
// Class: FileOutputStream
//

include(../common.m4)

OT_TEST_INIT

#`include' "ot/io/FileOutputStream.h"
#`include' "ot/io/File.h"
#`include' "ot/io/IOException.h"
#`include' "ot/io/FileNotFoundException.h"

using namespace ot::io;

OT_START_TESTS(`FileOutputStream')

	//
	// Basic API tests
	//

	File badFile1(OT_T(""));
	File badFile2(OT_T("."));
	File testFile(OT_T("test.out"));

	Byte buffer[3] = {1, 2, 3};

	OT_TEST_THROW(badFile1, FileOutputStream x(badFile1), IOException)
	OT_TEST_THROW(badFile2, FileOutputStream x(badFile2), IOException)

	OT_TEST_BOOL(exists, testFile.exists()==false)
	
	RefPtr<FileOutputStream> rpTest = new FileOutputStream(testFile);
	OT_TEST_VOID(write, rpTest->write(buffer[0]))
	OT_TEST_VOID(write, rpTest->write(buffer+1, 2))
	OT_TEST_VOID(close, rpTest->close())

	OT_TEST_BOOL(exists, testFile.exists())
	OT_TEST_BOOL(length, testFile.length()==3)

	// now append to the file
	rpTest = new FileOutputStream(testFile.getPath(), true);
	OT_TEST_VOID(write, rpTest->write(4))
	OT_TEST_VOID(close, rpTest->close())

	OT_TEST_BOOL(length, testFile.length()==4)

	// delete the file, ready for next time
	OT_TEST_VOID(delete, testFile.deleteFile())

OT_END_TESTS(`FileOutputStream')

