import java.io.*;

class TestIO
{
	public static void printFile(File file, String encoding) throws IOException
	{
		System.out.println("length=" + file.length());
		System.out.println("is writable=" + file.canWrite());
		System.out.println("is readable=" + file.canRead());
		System.out.println("is Absolute=" + file.isAbsolute());
		System.out.println("is Directory=" + file.isDirectory());
		System.out.println("path=" + file.getPath());
		System.out.println("name=" + file.getName());
		System.out.println("parent=" + file.getParent());
		System.out.println("Absolute path=" + file.getAbsolutePath());
		System.out.println("Canonical path=" + file.getCanonicalPath());
		FileInputStream in = new FileInputStream(file);
		Reader r = new InputStreamReader(in, encoding);
		char buffer[] = new char [256];
		int rc=r.read();
		System.out.println("first character is: " + rc);
	}

	public static void main(String args[])
	{
		if(args.length < 1)
		{
			System.out.println("usage: file [file]");
			return;
		}

		try
		{
			String filename = args[0];
			File file = new File(filename);
			printFile(file, " UTF8");

			if(!file.exists())
			{
				System.out.println("making directory");
				if(!file.mkdir())
				{
					System.out.println("failed to create directory");
					System.out.println("trying mkdirs()");
					if(!file.mkdirs())
					{
						System.out.println("failed to create directories");
					}
				}
			}
			else if(file.isDirectory())
			{
				System.out.println("listing directory:");
				String list[] = file.list();
				for(int i=0; i<list.length; i++)
				{
					System.out.println(list[i]);
				}
			}

			if(args.length > 1)
			{
				if(filename.compareTo("-")==0)
				{
					File file2 = new File("", args[1]);
					printFile(file2, "UTF8");
				}
				else
				{
					File file2 = new File(file, args[1]);
					printFile(file2, "UTF8");
				}

			}
		}
		catch(Exception e)
		{
			System.out.println(e.toString());
			return;
		}
	}
}