import java.io.*;

//
// Test class to show tyhe behaviour or a OutputStreamWriter with various
// encodings.
// It is interesting to note that the writer will automtically add a BOM
// (0xFEFF) when the UTF-16 encoding is chosen, but does not write one
// for UTF-16BE/UTF-16LE.
//
//
class TestWriter
{
	public static void main(String args[])
	{
		if(args.length < 2)
		{
			System.out.println("usage: filename encoding");
			return;
		}

		try
		{
			String filename = args[0];
			String encoding = args[1];
			FileOutputStream stream = new FileOutputStream(filename);
			OutputStreamWriter writer = new OutputStreamWriter(stream, encoding);
			writer.write("<?xml version=\"1.0\" encoding=\"" + encoding + "\" ?>");
			writer.flush();
			System.out.print("Canonical encoding =");
			System.out.println(writer.getEncoding());
			writer.close();
		}
		catch(Exception e)
		{
			System.out.println(e.toString());
			return;
		}
	}
}
