//
// ElCel Technology Test Harness 
//
// Class: HttpClient
//

include(../common.m4)
OT_TEST_INIT

`#include "ot/net/URL.h"'
`#include "ot/net/HttpURLConnection.h"'
`#include "ot/io/InputStream.h"'

using namespace ot::io; 
using namespace ot::net; 

OT_START_TESTS(`HttpClient')

	String server = getTestAttribute(OT_T("server"));
	if(server.empty())
		server = OT_T("www.elcel.com/");

	server.insert(0, OT_T("http://"));

	RefPtr<InputStream> rpIS;
	RefPtr<HttpURLConnection> rpUrlConn;
	URL url1(server); 

	// Test accessing the stream directly
	OT_TEST_VOID(openStream, rpIS = url1.openStream())
	if(rpIS)
	{
		OT_TEST_BOOL(checkStream, rpIS && rpIS->read() == '<')

		// Test accessing the URLConnection
		OT_TEST_VOID(openURLConnection, rpUrlConn = static_cast<HttpURLConnection*>(url1.openConnection().get()))
		OT_TEST_BOOL(connection returned, rpUrlConn)
		if(rpUrlConn)
		{
			OT_TEST_VOID(connect, rpUrlConn->connect())
			long resourceSize =  rpUrlConn->getContentLength();
			OT_TEST_BOOL(checkLength, resourceSize != -1)
			OT_TEST_BOOL(isConnected, rpUrlConn->isConnected())
			if(rpUrlConn->isConnected())
			{
				OT_TEST_BOOL(checkResponse, rpUrlConn->getResponseCode() == HttpURLConnection::HTTP_OK)
				OT_TEST_BOOL(getDate, rpUrlConn->getDate().isValid())

				OT_TEST_VOID(getInputStream, rpIS = rpUrlConn->getInputStream())
				OT_TEST_BOOL(valid input stream, rpIS)
				if(rpIS)
				{
					OT_TEST_BOOL(checkStream2, rpIS->read() == '<')
					OT_TEST_BOOL(skip, rpIS->skip(resourceSize-1) == (size_t)resourceSize-1)
					OT_TEST_BOOL(eof, rpIS->read() == InputStream::EndOfFile)
				}
			}
		}
	}


OT_END_TESTS(`HttpClient')

