//
// ElCel Technology Test Harness 
//
// Class: Socket
//

include(../common.m4)
OT_TEST_INIT

`#include "ot/net/InetAddress.h"'
`#include "ot/net/Socket.h"'
`#include "ot/net/SocketException.h"'

using namespace ot::net; 

OT_START_TESTS(`Socket')

	const int wwwPort = 80;
	String server = getTestAttribute(OT_T("server"));
	if(server.empty())
		server = OT_T("www.elcel.com");

	//
	// Test socket processing by connecting to a well-knwon HTTP server
	//
	RefPtr<InetAddress> rpAddr = InetAddress::GetByName(server);
	RefPtr<Socket> rpSocket = new Socket;
	OT_TEST_BOOL(isConnected, !rpSocket->isConnected())
	OT_TEST_VOID(connect, rpSocket->connect(rpAddr.get(), wwwPort))
	OT_TEST_THROW((re)connect, rpSocket->connect(InetAddress::GetByName(server).get(), wwwPort), SocketException)
	OT_TEST_BOOL(isConnected1, rpSocket->isConnected())
	OT_TEST_BOOL(getPort, rpSocket->getPort()==wwwPort)
	OT_TEST_BOOL(getInetAddress, rpSocket->getInetAddress() && rpSocket->getInetAddress()->equals(*rpAddr))

	//
	// Close the socket, then check for closed exceptions
	//
	OT_TEST_VOID(close, rpSocket->close())
	OT_TEST_BOOL(isConnected2, !rpSocket->isConnected())


OT_END_TESTS(`Socket')

