//
// ElCel Technology Test Harness 
//
// Class: Locator
//

include(../common.m4)
OT_TEST_INIT

`#include "ot/sax/XMLReaderFactory.h"'
`#include "ot/sax/XMLReader.h"'
`#include "ot/sax/Locator.h"'
`#include "ot/sax/DefaultHandler.h"'
`#include "ot/net/UnknownHostException.h"'

using namespace ot::sax; 
using namespace ot::net; 

String s1 = OT_T("http://a.b.c/x.xml");

class MyContentHandler : public DefaultHandler
{
	virtual void setDocumentLocator(Locator* pLocator)
	{
		m_rpLocator = pLocator;
	}
	virtual void startDocument()
	{
		OT_TEST_BOOL(test Line,     m_rpLocator->getLineNumber() == -1)
		OT_TEST_BOOL(test Column,   m_rpLocator->getColumnNumber() == -1)
		OT_TEST_BOOL(test systemId, m_rpLocator->getSystemId() == s1)
	}
	RefPtr<Locator> m_rpLocator;
};

OT_START_TESTS(`Locator')


	RefPtr<XMLReader> rpReader = XMLReaderFactory::CreateXMLReader();
	OT_TEST_BOOL(rpReader, rpReader)
	RefPtr<MyContentHandler> rpMyHandler = new MyContentHandler;

	rpReader->setContentHandler(rpMyHandler.get());
	OT_TEST_BOOL(check content handler, rpReader->getContentHandler() == rpMyHandler)

	OT_TEST_THROW(unknown host, rpReader->parse(s1), UnknownHostException)

OT_END_TESTS(`Locator')

