//
// ElCel Technology Test Harness 
//
// Class: StringIterator
//

include(../common.m4)
OT_TEST_INIT

#`include' "ot/base/Character.h"
#`include' "ot/base/String.h"
#`include' "ot/base/StringIterator.h"

#`include' <algorithm>

OT_START_TESTS(`StringIterator')

    //

	String seq = OT_T("Hello \t World!\n");
	String hello  = OT_T("Hello");
	String world  = OT_T("World!");
	String ws = OT_T(" \t\n");

    Character nbsp(0xa0);
	String ws2 = ws + nbsp.toString();
	String seq2 = ws + hello + nbsp.toString() + world + ws;

	StringIterator begin(seq.data());
	StringIterator end(seq.data()+seq.size());
	StringIterator firstDelim(ws.data());
	StringIterator endDelim(ws.data()+ws.size());

	//
	// Test various construction methods
	//
	StringIterator space;
	StringIterator space2 = space;
	StringIterator space3(space2);
	OT_TEST_BOOL(equality, space == space2 && space2 == space3);

	space3 = std::find_first_of(begin, end, firstDelim, endDelim);
	OT_TEST_BOOL(find_first_of, space3==(seq.data()+5));

	StringIterator iW = std::find(begin, end, OT_T('W'));
	OT_TEST_BOOL(find, *iW == OT_T('W'));

OT_END_TESTS(`StringIterator')

