//
// ElCel Technology Test Harness 
//
// Class: StringTokenizer
//

include(../common.m4)
OT_TEST_INIT

#`include' "ot/base/Character.h"
#`include' "ot/util/StringTokenizer.h"

using namespace ot::util; 

OT_START_TESTS(`StringTokenizer')

    //

	String seq = OT_T("Hello \t World!\n");
	String hello  = OT_T("Hello");
	String world  = OT_T("World!");
	String ws = OT_T(" \t\n");

    Character nbsp(0xa0);
	String ws2 = ws + nbsp.toString();
	String seq2 = ws + hello + nbsp.toString() + world + ws;
	String seq3 = OT_T("  H\t \nW ");

	std::vector<String> vec1 = StringTokenizer(seq).toVector();
	OT_TEST_BOOL(tok0, vec1.size()==2);
	OT_TEST_BOOL(tok1, vec1[0]==hello);
	OT_TEST_BOOL(tok2, vec1[1]==world);

	std::vector<String> vec2 = StringTokenizer(seq2).toVector();
	OT_TEST_BOOL(tok3, vec2.size()==1);

	std::vector<String> vec3 = StringTokenizer(seq2, ws2, true).toVector();
	OT_TEST_BOOL(tok4, vec3.size()==5);
	OT_TEST_BOOL(tok5, vec3[2]==nbsp.toString());

	std::vector<String> vec4 = StringTokenizer(seq3, ws, true, false).toVector();
	OT_TEST_BOOL(tok6, vec4.size()==seq3.size());
	OT_TEST_BOOL(tok7, vec4[0]==OT_T(" "));
	OT_TEST_BOOL(tok8, vec4[2]==OT_T("H"));

OT_END_TESTS(`StringTokenizer')

