//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/28 19:47:48 $
//
//==============================================================================

#include "MessageFactoryImpl.h"

OT_AUXIL_NAMESPACE_BEGIN

bool MessageFactoryImpl::getMessage(const String& org, const String& app,
                                    size_t messageID, String& ret)
{
	MessageSet* pFoundSet = 0;

	MessageSetList::iterator iter = m_messageSetList.begin();
	for(; iter != m_messageSetList.end(); ++iter)
	{
		MessageSet* pSet = (*iter).get();
		OT_DBG_ASSERT(pSet!=0);
		if(pSet->getOrganizationName() == org 
		&& pSet->getApplicationName() == app)
		{
			pFoundSet = pSet;
			break;
		}
	}
	
	if(!pFoundSet)
	{
		RefPtr<MessageSet> rpSet = getMessageSet(org, app);
		if(rpSet)
		{
			pFoundSet = rpSet.get();
			m_messageSetList.push_back(rpSet);
		}
	}

	if(pFoundSet)
	{
		return pFoundSet->getMessageText(messageID, ret);
	}
	else
	{
		return false;
	}
}

RefPtr<MessageSet> MessageFactoryImpl::getMessageSet(const String& /*org*/, const String& /*app*/)
{
	return 0;	
}

OT_AUXIL_NAMESPACE_END
