//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:24:48 $
//
//==============================================================================
// Class: Win32Exception
// 
/**
	@class ot::Win32Exception
	
	@brief Thrown when @OpenTop makes a Win32 API call which results
	in an unexpected return code.
*/
//==============================================================================

#ifdef WIN32

#include "Win32Exception.h"
#include "SystemUtils.h"

OT_BASE_NAMESPACE_BEGIN

//==============================================================================
// Win32Exception::Win32Exception
//
//==============================================================================
Win32Exception::Win32Exception(DWORD errorCode)
{
	setMessage(SystemUtils::GetWin32ErrorString(errorCode));
}

//==============================================================================
// Win32Exception::Win32Exception
//
//==============================================================================
Win32Exception::Win32Exception(DWORD errorCode, const String& message)
{
	String errMsg;
	if(!message.empty())
	{
		 errMsg = message;
		 errMsg += OT_T(": ");
	}
	errMsg += SystemUtils::GetWin32ErrorString(errorCode);
	setMessage(errMsg);
}

OT_BASE_NAMESPACE_END
#endif //WIN32

