//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:14 $
//
//==============================================================================
// Class FileNotFoundException
/**
	@class ot::io::FileNotFoundException

    @brief Thrown when attempting to open a file that does not exist.
*/
//==============================================================================

#include "FileNotFoundException.h"
#include "messages.h"

#include "ot/base/System.h"

OT_IO_NAMESPACE_BEGIN

String FileNotFoundException::getExceptionType() const
{
	return OT_T("FileNotFoundException");
}

String FileNotFoundException::getLocalizedDescription() const
{
	return System::GetSysMessage(OT_IO_MSG, EIO_FILENOTFOUND, "file not found");
}

OT_IO_NAMESPACE_END
