//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/07/13 22:08:22 $
//
//==============================================================================
//
// Class: PosixFileDescriptor
// 
//==============================================================================

#include "PosixFileDescriptor.h"
#include "FileSystem.h"

#include "ot/base/NumUtils.h"

OT_IO_NAMESPACE_BEGIN

PosixFileDescriptor::PosixFileDescriptor(const FileSystem* pFS, int fd, bool bAutoClose) :
	FileDescriptor(pFS, bAutoClose),
	m_fd(fd)
{
}

PosixFileDescriptor::~PosixFileDescriptor()
{
	if(getAutoClose())
	{
		try
		{
			close();
		}
		catch(Exception& /*e*/)
		{
		}
	}
}

int PosixFileDescriptor::getFD()
{
	return m_fd;
}

String PosixFileDescriptor::toString() const
{
	return NumUtils::ToString(m_fd);
}

OT_IO_NAMESPACE_END
