//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/07/13 22:08:22 $
//
//==============================================================================
//
// Class: Win32FileDescriptor
// 
//==============================================================================

#ifdef WIN32

#include "Win32FileDescriptor.h"
#include "FileSystem.h"

#include "ot/base/NumUtils.h"

OT_IO_NAMESPACE_BEGIN

Win32FileDescriptor::Win32FileDescriptor(const FileSystem* pFS, HANDLE hFile, bool bAutoClose) :
	FileDescriptor(pFS, bAutoClose),
	m_hFile(hFile)
{
}

Win32FileDescriptor::~Win32FileDescriptor()
{
	if(getAutoClose())
	{
		try
		{
			close();
		}
		catch(Exception& /*e*/)
		{
		}
	}
}

HANDLE Win32FileDescriptor::getHandle()
{
	return m_hFile;
}

String Win32FileDescriptor::toString() const
{
	return NumUtils::ToString((DWORD)m_hFile);
}

OT_IO_NAMESPACE_END
#endif //WIN32

