//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/09/09 21:18:03 $
//
//==============================================================================

#include "BasicURLConnection.h"

OT_NET_NAMESPACE_BEGIN

//==============================================================================
// BasicURLConnection::BasicURLConnection
//
//==============================================================================
BasicURLConnection::BasicURLConnection(const URL& url) :
	URLConnection(url),
	m_rpResponseHeaders(new MimeHeaderSequence)
{
}

//==============================================================================
// BasicURLConnection::setHeaderField
//
//==============================================================================
void BasicURLConnection::setHeaderField(const String& key, const String& value)
{
	m_rpResponseHeaders->setHeaderExclusive(key, value);
}

//==============================================================================
// BasicURLConnection::getHeaderField
//
//==============================================================================
String BasicURLConnection::getHeaderField(const String& name)
{
	getInputStream();
	return m_rpResponseHeaders->getHeader(name);
}

//==============================================================================
// BasicURLConnection::getHeaderField
//
//==============================================================================
String BasicURLConnection::getHeaderField(size_t index)
{
	getInputStream();
	return m_rpResponseHeaders->getHeader(index);
}

//==============================================================================
// BasicURLConnection::getHeaderFieldKey
//
//==============================================================================
String BasicURLConnection::getHeaderFieldKey(size_t index)
{
	getInputStream();
	return m_rpResponseHeaders->getHeaderKey(index);
}

//==============================================================================
// BasicURLConnection::getHeaderFieldCount
//
//==============================================================================
size_t BasicURLConnection::getHeaderFieldCount()
{
	getInputStream();
	return m_rpResponseHeaders->size();
}

OT_NET_NAMESPACE_END
