//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/08/31 22:14:56 $
//
//==============================================================================
/**
	@class ot::net::DatagramSocketImplFactory
	
	@brief Factory class for creating instances of DatagramSocketImpl.

    @sa Socket::SetDatagramSocketImplFactory()
	@sa ServerSocket::SetDatagramSocketImplFactory()

	@since 1.3
*/
//==============================================================================

#include "DatagramSocketImplFactory.h"
#include "PlainDatagramSocketImpl.h"

OT_NET_NAMESPACE_BEGIN

//==============================================================================
// DatagramSocketImplFactory::createDatagramSocketImpl
//
/**
   Creates an instance of a concrete DatagramSocketImpl class used by the
   local @OpenTop installation.
*/
//==============================================================================
RefPtr<DatagramSocketImpl> DatagramSocketImplFactory::createDatagramSocketImpl() const
{
	return new PlainDatagramSocketImpl;
}

OT_NET_NAMESPACE_END
