//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:39 $
//
//==============================================================================
// Class UnknownHostException
/**
	@class ot::net::UnknownHostException

    @brief Thrown when attempting to connect to a network host name
	that cannot be resolved.
*/
//==============================================================================

#include "UnknownHostException.h"
#include "messages.h"

#include "ot/base/System.h"

OT_NET_NAMESPACE_BEGIN

String UnknownHostException::getExceptionType() const
{
	return OT_T("UnknownHostException");
}

String UnknownHostException::getLocalizedDescription() const
{
	return System::GetSysMessage(OT_NET_MSG, ENETL_UNKNOWNHOST, "unknown network host");
}

OT_NET_NAMESPACE_END
