//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:53 $
//
//==============================================================================

#include "CharTypeFacet.h"

OT_XML_NAMESPACE_BEGIN

#ifdef OT_ASCII
	#define OT_CHAR_TAB_SIZE 0x100
#else
	#define OT_CHAR_TAB_SIZE 0x10000
#endif

const size_t CharTypeFacet::s_CharTabSize = OT_CHAR_TAB_SIZE;

const UCS4Char CharTypeFacet::s_MaxChar = 
#if defined(OT_ASCII)
		0x7FUL;
#else
		0x10FFFFUL;
#endif

#ifndef OT_DOCUMENTATION_ONLY

unsigned char CharTypeFacet::s_XMLTable[OT_CHAR_TAB_SIZE] = {
#include "Unicode.tab"
};

#endif  //OT_DOCUMENTATION_ONLY

OT_XML_NAMESPACE_END



