//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:25:55 $
//
//==============================================================================

#include "EntityType.h"

OT_XML_NAMESPACE_BEGIN

EntityType::EntityType(Type eType) :
	m_eType(eType)
{
}

EntityType::EntityType(const EntityType& rhs)
{
	*this = rhs;
}

EntityType& EntityType::operator=(const EntityType& rhs)
{
	m_eType = rhs.m_eType;
	return *this;
}

bool EntityType::operator==(const EntityType& rhs) const
{
	return (m_eType == rhs.m_eType);
}

bool EntityType::operator!=(const EntityType& rhs) const
{
	return (m_eType != rhs.m_eType);
}

bool EntityType::operator==(Type eType) const
{
	return (m_eType == eType);
}

bool EntityType::operator!=(Type eType) const
{
	return (m_eType != eType);
}

OT_XML_NAMESPACE_END
