//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:05 $
//
//==============================================================================

#include "CatalogEntry.h"

OT_XMLCAT_NAMESPACE_BEGIN

CatalogEntry::CatalogEntry(const String& identifier, EntryType eEntryType,
						   CatalogResolver::Preference ePreference) :
	m_identifier(identifier),
	m_eEntryType(eEntryType),
	m_ePreference(ePreference)
{
}

CatalogEntry::~CatalogEntry()
{
}

//==============================================================================
// CatalogEntry::getIdentifier
//
//==============================================================================
const String& CatalogEntry::getIdentifier() const
{
	return m_identifier;
}

//==============================================================================
// CatalogEntry::getEntryType
//
//==============================================================================
CatalogEntry::EntryType CatalogEntry::getEntryType() const
{
	return m_eEntryType;
}

//==============================================================================
// CatalogEntry::getPreference
//
//==============================================================================
CatalogResolver::Preference CatalogEntry::getPreference() const
{
	return m_ePreference;
}

OT_XMLCAT_NAMESPACE_END
