//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2002 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.1.1.1 $
// $Date: 2002/12/14 00:27:08 $
//
//==============================================================================

#ifndef TestSAXHandler_h
#define TestSAXHandler_h

#include "ot/sax/DefaultHandler.h"
#include "ot/io/OutputStreamWriter.h"

using namespace ot;
using namespace sax;

class SAXCountHandler : public DefaultHandler
{
public:
	SAXCountHandler();

	// ContentHandler methods...
	virtual void characters(const CharType* pChars, size_t length);
	virtual void startElement(const String& namespaceURI,
	                          const String& localName,
	                          const String& qName,
	                          const Attributes& atts);
	virtual void startDocument();
	virtual void endDocument();

	// ErrorHandler methods...
	virtual void error(const SAXParseException& exception);
	virtual void fatalError(const SAXParseException& exception);
	virtual void warning(const SAXParseException& exception);
	
private:
	void reportError(const String& type, const SAXParseException& exception);

	size_t m_charCount;
	size_t m_elementCount;
	size_t m_attrCount;
};

#endif // SAXCountHandler
