//==============================================================================
// This file is part of the OpenTop C++ Library.
// (c) Copyright 2000-2003 ElCel Technology Limited
//
// This file may be distributed and/or modified under the terms of the
// GNU General Public License version 2 as published by the Free Software
// Foundation and appearing in the file LICENSE.GPL included in the
// packaging of this file.
//
// Licensees holding valid OpenTop Commercial licences may use this file
// in accordance with the OpenTop Commercial License Agreement included
// with the software.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// See http://www.elcel.com/products/opentop/pricing.html or email
// sales@elcel.com for information about OpenTop Commercial License Agreements.
//
//==============================================================================
//
// $Revision: 1.2 $
// $Date: 2003/09/08 21:00:15 $
//
//==============================================================================
//
// tcpserver sample application
//
//==============================================================================

#ifndef ClientHandler_h
#define ClientHandler_h

#include "ot/base/Runnable.h"
#include "ot/base/RefPtr.h"
#include "ot/net/Socket.h"

using namespace ot;
using namespace ot::net;

class Listener;

class ClientHandler : public Runnable
{
public:
	ClientHandler(Socket* pSocket, Listener* pListener);
	void run();

private:
	RefPtr<Listener> m_rpListener;
	RefPtr<Socket> m_rpSocket;
};

#endif //ClientHandler_h
